Package net.snowflake.client.core.json

## Class DateTimeConverter

- java.lang.Object
- - net.snowflake.client.core.json.DateTimeConverter

    public class DateTimeConverter
    extends Object

### Constructor Summary

Constructors
`DateTimeConverter​(TimeZone sessionTimeZone, SFBaseSession session, long resultVersion, boolean honorClientTZForTimestampNTZ, boolean treatNTZAsUTC, boolean useSessionTimezone, boolean formatDateWithTimeZone)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Date` `getDate​(Object obj, int columnType, int columnSubType, TimeZone tz, int scale)`
`Time` `getTime​(Object obj, int columnType, int columnSubType, TimeZone tz, int scale)`
`Timestamp` `getTimestamp​(Object obj, int columnType, int columnSubType, TimeZone tz, int scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateTimeConverter

    public DateTimeConverter​(TimeZone sessionTimeZone,
                             SFBaseSession session,
                             long resultVersion,
                             boolean honorClientTZForTimestampNTZ,
                             boolean treatNTZAsUTC,
                             boolean useSessionTimezone,
                             boolean formatDateWithTimeZone)

### Method Detail

#### getTimestamp

    public Timestamp getTimestamp​(Object obj,
                                  int columnType,
                                  int columnSubType,
                                  TimeZone tz,
                                  int scale)
                           throws SFException

Throws:
  `SFException`

#### getTime

    public Time getTime​(Object obj,
                        int columnType,
                        int columnSubType,
                        TimeZone tz,
                        int scale)
                 throws SFException

Throws:
  `SFException`

#### getDate

    public Date getDate​(Object obj,
                        int columnType,
                        int columnSubType,
                        TimeZone tz,
                        int scale)
                 throws SFException

Throws:
  `SFException`